# Introduction and How We Work

This manual should be an ever evolving resource for those seeking to build the best tools to help farmers grow the highest quality food and medicine with maximum efficiency. It covers everything from sales and marketing, ideation, development, and mass production. 

## Grownetics Values

- **Compassion** - Practice empathy towards yourself, your co-workers, your clients, and your planet.
- **Transparency** - Honesty and Openness, Fair and Collaborative
- **Ownership** - To take ownership of something is to be responsible for it. Responsability doesn't mean blame, just owning the ability to respond.
- **Humble** - Tolerance, Freedom, Humble, Respectful
- **Creative** - Question the Status Quo, Get to first principles
- **Efficient** - Work smart, not hard, while maximizing efficiency and minimizing waste.
- **Detail Oriented** - Get it done attitude w/precision and attention to detail  

## Choose Your Level of Excellence

We will never silo your passion. If you'd like to take a stab at anything just ask.

## Handbook First, Why?

Very good explanation here [gitlab Why Handbook First?](https://about.gitlab.com/handbook/handbook-usage/#why-handbook-first)

This excerpt sums it up well.

"Documenting in the handbook before taking an action may require more time initially because you have to think about where to make the change, integrate it with the existing content, and then possibly add to or refactor the handbook to have a proper foundation. But, it saves time in the long run, and this communication is essential to our ability to continue scaling and adapting our organization."

**The Remote Manifesto**

1. Hiring and working from all over the world instead of from a central location.
2. Flexible working hours over set working hours.
3. Writing down and recording knowledge over verbal explanations.
4. Written down processes over on-the-job training.
5. Public sharing of information over need-to-know access.
6. Opening up every document for editing by anyone over top-down control of documents.
7. Asynchronous communication over synchronous communication.
8. The results of work over the hours put in.
9. Formal communication channels over informal communication channels.

[Gitlab guide to remote work](https://about.gitlab.com/company/culture/all-remote/guide/) 


## Wrike or Gitlab Second

We track all tasks and projects through [Wrike](https://wrike.com). We try to keep our company wide tools to a minimum so you only have to look in a few places to do your work (Handbook, Wrike, Zulip, G-Suite). For the handfull we do use we expect team members to be entirely competent. 

## Daily Kickoff Checklist
Open handbook and this draft doc to put edits/thoughts that come up. Briefly review every task that’s Sprint Priority and higher status in Wrike Ops Board, comment on any that you need more info on, or are unsure of how it fits into a project or weekly sprint cycle. Filter Ops Board to show all unassigned tasks and tasks assigned to ops@grownetics.co. Assign, comment, or take next steps on all tasks in Sprint Priority or above. Open email to groom inbox and create any more tasks/updates in wrike.

Post standup in Zulip using this format:
**Yesterday I:** 
**Today I will:** 
**Team Blockers:** THIS SHOULD BE A PRIORITY IF THERE ARE ANY
**Availability:** If you’re going to be out of office sometime today/during the week.
**MIT:** (Most Important Task)

## Building Great Teams of Two or More

In order to design a resilient company we aim for no single point of failure. We will always try to have at least two people trained to do any one job in the company. This manual should help assist you in taking your participation to the next level, if it does not please suggest an improvement via the [issues page][https://gitlab.com/grownetics/grownetics/issues] to support us in this goal.

## What’s an Agile Waterfall?

Our workflow methodology is what drives our team to excel on a daily basis. For individuals we recommend some variation of David Allen’s “Getting Things Done”, for teams we run Agile/Scrum for our daily and weekly work, and Waterfall for strategy and project planning.

### Start with GTD

Brain Dump to remove all the noise, use the system!
Anything that can get done in under 2 minutes do it now, everything else get it in wrike or your personal GTD system.
Break bigger to-do’s into actions that start with verbs.

### Agile is Our Week

We run a 1 week sprint cycle with Sprint Review and following week's Sprint Planning falling on Friday. 

Independent of the team's sprint review and planning there will be separate code review, hardware review, design review, and milestone meetings.

Use the google doc meeting notes template for your meeting notes in G-Drive and Open Wrike project management software or gitlab to update tasks/issues in real time. Prior to the review meetings it is ideal for each member of the team contributes to the agenda and outline, simply listing the issue's you'll be discussing is fine. Once the meeting actually begins there should always be one person in the meeting writing bulleted notes on what's being discussed and the outcome. Each bulleted item on the agenda/meeting notes should end with an action whether an issue was made in gitlab, or card made in wrike - next actions should be the outcome.

#### Sprint Review

Our Sprints start and end on Friday, The Sprint Review Meeting is a quick opportunity to introduce everyone to the work that's been done during the sprint, review what worked and what didn't.

#### Sprint Planning

Following a short break the Sprint Planning Meeting is conducted where milestones and issues coming up over the next couple weeks are discussed prioritized and assigned.

#### Sprint Schedule

Day 1: Write Test, Develop
Day 2: Develop, Deploy
Day 3: Deploy, Test More
Day 4: Deploy, Demo
Day 5: Sprint Review

### Epics and Waterfalls

Epics live in Wrike and have their own workflow. The best view is the default kanban view where you'll be able to see the idea bucket, ideas/features in the research/validation phase, milestone review stage, etc. Anything that's bigger than 2 issues is likely an epic.

We like Waterfall/Gantt views because of their ability to visualize long term project schedules along with tasks linked together in a chain of dependencies. This is particularly valuable when timelines need to be met with third parties.

Workflows are recipes for multi stage processes. Projects can be made of workflows in series and in parallel (i.e. how to build a sensor array). These parallel workflows are also known as pipelines. 

SOPs are the method in which to complete a task or workflow. A workflow can be an SOP, or a workflow can be made up of many SOPs. workflows work at any scale and should be agile and systematized in wrike or gitlab

SOP’s are the best way we know how to do an action to date and should always be thought of that way. As a starting point to improve upon. Start with the SOP, then innovate. SOPs should be contained in this handbook.

## [How to Hold a Meeting](meetings.md)

### Recommended Reading

+ Scrum
+ GTD (Getting Things Done)
+ Cradle To Cradle
+ Extreme Ownership
+ The Toyota Way 

## Automate and Optimize

The key to maximum efficiency is not endless refining of the same thing but a deeper understanding of the problem paired with an elegantly automated solution. The key to an optimized system is a culture of continuous improvement and learning, not one of complacency. As we automate for our customers to drive efficiency, we should do the same internally for our company.

These two words ‘Automate & Optimize’ are at the core of what we deliver to our customers, and at the core of how we stay lean while we scale this company. Automation is the pairing of novel tools to create ‘no-touch’ or ‘ low-touch’ work and process flows. Optimization is accomplished by adding a measurement analytics layer to improve upon every single cycle. 

## Human Guided Optimization

Or optimization with humane values ;p. Don't let process get in the way of productivity and flow, but make sure to measure what matters. 

### Gamify Real Value Creation

It's a known fact that people work best when the feel like they're challenged while being in an open fun environment. 

### Process Automation

#### Agile Waterfall

#### S.O.P. Requirements

1. Process Outline  
    a. In this manual [and ideally automated in Wrike]
2. Work Deliverables/Reports
    a. Templates linked in this document
3. Training Presentations/Methodology
    a. Support Documentation in Wiki
4. Prerequisites for S.O.P.
    a. In this manual [and ideally automated in Wrike]
5. Test/Improvement Methodology
    a. K.P.I.s either direct or analogous reference 

## Test Based Development

## KPI’s

## Implementation 

1. Start with measurable improvement mindset
    + Ask, how to measure, how to log improvements?
2. Start with the end goal in mind to focus the work 
    + What is the work product 
    + How will I document my work improvement (as notes or report? etc.)
3. Best thing you can do is find a way to cheaply autamate an SOP  
4. Second best thing you can do is find way to partially automate an SOP  
5. If neither seems immediately apparent try to improve the order of ops with systems approach and better documentation.
6. If the SOP is a training or onboarding consider how the training or onboarding could be improved while documenting for your training presentation. (WIP: employee makes a presentation deck from template and narrates a training introduction video.) 
7. Publish task to Wrike
8. At earliest opportunity that makes sense (you have something to show or question to ask) bring in a team mate for immediate feedback (before work is completed)
9. Complete final draft to completion and review with team mate
10. Publish work and documentation to Wrike task
11. Review finished work with work owner
12. Make any changes
13. Deliver final work to wrike and Google Drive Folder for record.
14. Post Mortem with ‘Work Owner’ (review improvements and KPI’s)
